mulaichatDocs
GuidesDeveloperAPI ReferenceChangelog
Profiles
GET
/v1/profiles/{id}

Requires the read scope. Owner key or session only: a profile key gets 403 owner_key_required.

Authorization

bearer
headerAuthorizationBearer <token>

An API key (tb_live_...) from the dashboard, or an OAuth access token.

Path Parameters

id*string
Formatuuid

Response Body

The profile.

application/json
  1. response
id*string
Formatuuid
name*string
external_id*|

The client's id in your own system.

is_default*boolean
created_at*string
Formatdate-time
Example Request
curl -X GET 'https://api.mulaichat.com/v1/profiles/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "external_id": "string",  "is_default": true,  "created_at": "2019-08-24T14:15:22Z"}

On this page